Loading...
Searching...
No Matches
packet.c File Reference

ENet packet management functions. More...

`#include <string.h>`
`#include "enet/enet.h"`

## Macros

#define | ENET_BUILDING_LIB 1

## Functions

enet_uint32 | enet_crc32 (const ENetBuffer *buffers, size_t bufferCount)
ENetPacket * | enet_packet_create (const void *data, size_t dataLength, enet_uint32 flags)
| Creates a packet that may be sent to a peer.
void | enet_packet_destroy (ENetPacket *packet)
| Destroys the packet and deallocates its data.
int | enet_packet_resize (ENetPacket *packet, size_t dataLength)
| Attempts to resize the data in the packet to length specified in the dataLength parameter.

## Detailed Description

ENet packet management functions.

## Macro Definition Documentation

## ENET_BUILDING_LIB

#define ENET_BUILDING_LIB 1